<?php
$berogui_path = '/usr/local/www/berogui';

/* [CHECKING GET] */
unset($_GET);

/* [CHECKING POST] */
$exec_ajax = 1;
$invalid = array();

require("$berogui_path/includes/Helper/Helper.php");
$reboot_required = Helper::sanitizePost($_POST['sbcvmupdate-reboot'], 'bool', $exec_ajax, $invalid);
unset($_POST);

$data = array(
	'sbcvmupdate-mode'			=> 'manual',
	'sbcvmupdate-reboot'		=> $reboot_required === true ? 1 : 0,
	'sbcvmupdate-shownotif'	=> '1',
);

/* [EXEC AJAX] */
if (!$exec_ajax) {
	die(header("HTTP/1.0 400 Invalid data: sbcvmupdate-reboot is not a boolean"));
}

// clean cron directories
if (!Helper::cleanCronDirectories('sbcvm-update', array('daily', 'weekly', 'monthly'))) {
	die(header("HTTP/1.0 500 Internal Server Error"));
}

$retval = 0;
system(
	  'export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin:$PATH;'
	. '/bin/bash /usr/local/beroNet/bin/sbcvm-update '. ($reboot_required === true ? '1' : '0') .' >/dev/null',
$retval);
if ($retval) {
	die(header("HTTP/1.0 500 Internal Server Error"));
}

// save data into database
require("/usr/fallback/beroConf.php");
$bc = new beroConf('root');
foreach ($data as $key => $value) {
	$bc->set('root', $key, $value);
}
// return
if ($reboot_required == true && Helper::isRebootRequired()) {
	echo '1';
}
else {
	echo '0';
}
?>
